Package org.zkoss.zk.ui.sys

## Interface EventProcessingThread

- All Known Implementing Classes:
    `EventProcessingThreadImpl`

      public interface EventProcessingThread

  Represents an event processing thread.
  Author:
    tomyeh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getComponent()` | Returns the component being processed by this thread, or null if idle.
    `Event` | `getEvent()` | Returns the event being processed by this thread, or null if idle.
    `boolean` | `isCeased()` | Returns whether it is ceased.
    `boolean` | `isIdle()` | Returns whether this thread is idle, i.e., not processing any event.
    `boolean` | `isSuspended()` | Returns whether it is suspended.
    `void` | `sendEvent​(Component comp, Event event)` | Sends the specified component and event and processes the event synchronously.

- - ### Method Detail

    - #### isCeased

          boolean isCeased()

      Returns whether it is ceased.

      The event processing thread is ceased automatically. If you want to cease it manually, you can invoke `DesktopCtrl.ceaseSuspendedThread(org.zkoss.zk.ui.sys.EventProcessingThread, java.lang.String)`.

      An event processing thread is ceased if `DesktopCtrl.ceaseSuspendedThread(org.zkoss.zk.ui.sys.EventProcessingThread, java.lang.String)` was called manually, or if it is dead (`Thread.isAlive()` returns false). That is, it returns true if it is going to die, or dead already.

    - #### isSuspended

          boolean isSuspended()

      Returns whether it is suspended.
      See Also:
        `DesktopCtrl.getSuspendedThreads()`, `DesktopCtrl.ceaseSuspendedThread(org.zkoss.zk.ui.sys.EventProcessingThread, java.lang.String)`

    - #### isIdle

          boolean isIdle()

      Returns whether this thread is idle, i.e., not processing any event.

    - #### getEvent

          Event getEvent()

      Returns the event being processed by this thread, or null if idle.

    - #### getComponent

          Component getComponent()

      Returns the component being processed by this thread, or null if idle.

    - #### sendEvent

          void sendEvent​(Component comp,
                         Event event)
                  throws java.lang.Exception

      Sends the specified component and event and processes the event synchronously. Used to implements `Events.sendEvent(org.zkoss.zk.ui.Component, org.zkoss.zk.ui.event.Event)`.
      Throws:
        `java.lang.Exception`
      Since:
        3.0.2